Bug 7881 - Перезапуск после попытки открыть WINGs-based диалог
: Перезапуск после попытки открыть WINGs-based диалог
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/WindowMaker)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-09-06 13:13 by
Modified: 2012-10-07 16:09 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-09-06 13:13:36
Наверно таки повесил не по адресу, дело может быть в самой libWINGs, но больше
проверить не на чем.

Есть wmaker, запущеный Некоторое Продолжительное Время (пару дней, неделю - не
удалось отследить).  В какой-то момент времени попытка открытия, наверно,
любого
WINGs-based диалога (проявлялось на Run и Window Attributes) приводит к
перезапуску wmaker, при этом стандартный диалог падения по сигналу не
отображается (наверно по тем же самым причинам).  После перезапуска всё
какое-то
время работает нормально.  Поймал на двух разных машинах.
------- Comment #1 From 2005-09-06 20:16:19 -------
Очень похоже на то, что у этого бага ноги растут оттуда же, откуда у моего
любимого, который вызывает segfault при входе через wdm. Этот баг у меня
следующий на очереди. В 0.92.0-alt2 оно не войдёт, а вот в следующую сборку уже
наверняка.
------- Comment #2 From 2009-03-26 19:32:02 -------
Было бы неплохо вспомнить, откуда таки эти ноги растут...
------- Comment #3 From 2012-10-07 16:09:39 -------
Припоминается что-то насчёт счётчиков в crm, но как понимаю, именно этот баг --
apparently wontfix.